Bug 1112729 - virt-install requires python3-six
virt-install requires python3-six
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Virtualization:Tools
Current
aarch64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: virt-bugs list
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-22 11:32 UTC by Guillaume GARDET
Modified: 2018-10-29 19:57 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume GARDET 2018-10-22 11:32:53 UTC
On Tumbleweed aarch64, the following command:
  virt-install --name TESTING --memory 512 --disk none --boot cdrom --graphics vnc
returns the following error:
  ERROR    No module named 'six'

If python3-six is installed, then 'virt-install' command start properly.
Comment 1 Guillaume GARDET 2018-10-22 11:36:28 UTC
Fix is submitted to OBS: https://build.opensuse.org/request/show/643692
Comment 2 James Fehlig 2018-10-22 20:07:06 UTC
(In reply to Guillaume GARDET from comment #0)
> On Tumbleweed aarch64, the following command:
>   virt-install --name TESTING --memory 512 --disk none --boot cdrom
> --graphics vnc
> returns the following error:
>   ERROR    No module named 'six'

It's odd no one has stumbled across this on other arch. I suppose python-six is needed by other base packages on x86 and is just there.

(In reply to Guillaume GARDET from comment #1)
> Fix is submitted to OBS: https://build.opensuse.org/request/show/643692

I had a tiny request that I hope you don't mind fixing and resubmitting.
Comment 3 Charles Arnold 2018-10-29 19:57:16 UTC
(In reply to Guillaume GARDET from comment #1)
> Fix is submitted to OBS: https://build.opensuse.org/request/show/643692

Guillaume,

Thanks for the submission!